'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = alignText;
/**
 * Takes a string that looks like this
 * `
 *   <div>
 *     yo
 *   </div>
 * `
 *
 * and returns
 *
 * `<div>
 *   yo
 * </div>`
 *
 * You can use this to display example code without aligning your text against
 * the left.
 */
function alignText() {
  var str = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

  var lines = str.split('\n');
  var ret = lines.slice(1, lines.length - 1);
  var leadingSpaces = getLeadingSpaces(lines[1]);

  return ret.map(function (line) {
    return line.split('').splice(leadingSpaces).join('');
  }).join('\n');
}

function getLeadingSpaces(str) {
  var count = 0;
  for (var i = 0; i < str.length; i++) {
    if (str[i] === ' ') {
      count++;
    } else {
      return count;
    }
  }
  return count;
}