'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _keys = require('babel-runtime/core-js/object/keys');

var _keys2 = _interopRequireDefault(_keys);

exports.default = caseConversion;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function isCapital(ch) {
  return ch === ch.toUpperCase();
}

var convertToTokens = {
  camel: function camel(str) {
    var tokens = [''];
    var tokenIndex = 0;

    for (var i = 0; i < str.length; i++) {
      if (isCapital(str[i])) {
        tokens.push('');
        tokenIndex++;
      }

      tokens[tokenIndex] += str[i];
    }
    return tokens;
  }
};
var ALLOWED_FROM = (0, _keys2.default)(convertToTokens);

var tokensToCase = {
  constant: function constant(tokens) {
    return tokens.map(function (t) {
      return t.split('').map(function (c) {
        return c.toUpperCase();
      }).join('');
    }).join('_');
  }
};
var ALLOWED_TO = (0, _keys2.default)(tokensToCase);

function caseConversion(str, from, to) {
  if (ALLOWED_FROM.indexOf(from) === -1) {
    throw new Error('argument \'' + from + '\' should be one of ' + ALLOWED_FROM);
  }
  if (ALLOWED_TO.indexOf(to) === -1) {
    throw new Error('argument \'' + to + '\' should be one of ' + ALLOWED_TO);
  }

  var tokens = convertToTokens[from](str);
  return tokensToCase[to](tokens);
}