'use strict';

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _excludeFields = require('./exclude-fields.js');

var _excludeFields2 = _interopRequireDefault(_excludeFields);

var _expect = require('expect');

var _expect2 = _interopRequireDefault(_expect);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('excludeFields', function () {
  var testcase = {
    foo: 'foo',
    bar: 'bar',
    zed: 'zed'
  };

  var expectedResult = {
    foo: 'foo',
    bar: 'bar'
  };

  var exclude = ['zed'];

  it((0, _stringify2.default)(testcase) + ' should be ' + (0, _stringify2.default)(expectedResult) + ' given exclude \'' + exclude + '\'', function () {
    (0, _expect2.default)((0, _excludeFields2.default)(testcase, exclude)).toEqual(expectedResult);
  });

  var testcase2 = {
    foo: 'foo',
    bar: 'bar'
  };

  var expectedResult2 = {
    foo: 'foo',
    bar: 'Omitted'
  };

  var exclude2 = ['bar'];

  it((0, _stringify2.default)(testcase2) + ' should be ' + (0, _stringify2.default)(expectedResult2) + ' given exclude \'' + exclude2 + '\' and 3rd arg \'Omitted\'', function () {
    (0, _expect2.default)((0, _excludeFields2.default)(testcase2, exclude2, 'Omitted')).toEqual(expectedResult2);
  });
});